Skip to content

Instantly share code, notes, and snippets.

@kaareal kaareal/gist:3347589
Created Aug 14, 2012

Embed
What would you like to do?
info: Creating snapshot 0.1.50-1
info: Updating app findus
info: Activating snapshot 0.1.50-1 for findus
info: Starting app findus
error: Error running command deploy
error: Nodejitsu Error (500): Internal Server Error
error: There was an error while attempting to deploy your application.
error:
error: NPM Install failed
error: NPM failed to install dependencies
error:
error: This type of error is usually a user error.
error: Error output from Haibu:
error:
error: npm http GET https://registry.npmjs.org/faye-websocket/0.4.3
error: npm http GET https://registry.npmjs.org/connect/1.8.6
error: npm http GET https://registry.npmjs.org/express/2.5.11
error: npm http GET https://registry.npmjs.org/underscore
error: npm http GET https://registry.npmjs.org/mongoose
error: npm http GET https://registry.npmjs.org/requirejs
error: npm http GET https://registry.npmjs.org/ejs
error: npm http GET https://registry.npmjs.org/request
error: npm http GET https://registry.npmjs.org/less
error: npm http GET https://registry.npmjs.org/less-middleware
error: npm http GET https://registry.npmjs.org/uglify-js
error: npm http GET https://registry.npmjs.org/imagemagick
error: npm http GET https://registry.npmjs.org/knox/0.0.9
error: npm http GET https://registry.npmjs.org/mkdirp
error: npm http GET https://registry.npmjs.org/connect-auth/0.5.1
error: npm http GET https://registry.npmjs.org/connect-mongodb/1.1.4
error: npm ERR! Error: spawn ENOMEM
error: npm ERR! at errnoException (child_process.js:837:11)
error: npm ERR! at ChildProcess.spawn (child_process.js:789:11)
error: npm ERR! at Object.exports.spawn (child_process.js:614:9)
error: npm ERR! at spawn (/opt/haibu/node-versions/0.8.5/lib/node_modules/npm/lib/utils/exec.js:79:22)
error: npm ERR! at exec (/opt/haibu/node-versions/0.8.5/lib/node_modules/npm/lib/utils/exec.js:47:12)
error: npm ERR! at /opt/haibu/node-versions/0.8.5/lib/node_modules/npm/lib/cache.js:386:7
error: npm ERR! at /opt/haibu/node-versions/0.8.5/lib/node_modules/npm/node_modules/mkdirp/index.js:20:20
error: npm ERR! at Object.oncomplete (fs.js:297:15)
error: npm ERR! If you need help, you may report this log at:
error: npm ERR! <http://github.com/isaacs/npm/issues>
error: npm ERR! or email it to:
error: npm ERR! <npm-@googlegroups.com>
error:
error: npm ERR! System SunOS 5.11
error: npm ERR! command "/opt/haibu/node-versions/0.8.5/bin/node" "/opt/haibu/node-versions/0.8.5/bin/npm" "--unsafe-perm" "true" "--cache" "/opt/haibu/apps/kaareal/findus/.npm" "--userconfig" "/opt/haibu/apps/kaareal/findus/.userconfig" "--globalconfig" "/opt/haibu/apps/kaareal/findus/.globalconfig" "install"
error: npm ERR! cwd /opt/haibu/apps/kaareal/findus/package
error: npm ERR! node -v v0.8.5
error: npm ERR! npm -v 1.1.46
error: npm ERR! syscall spawn
error: npm ERR! code ENOMEM
error: npm ERR! errno ENOMEM
error: npm http 200 https://registry.npmjs.org/faye-websocket/0.4.3
error: npm http 200 https://registry.npmjs.org/express/2.5.11
error: npm http GET https://registry.npmjs.org/faye-websocket/-/faye-websocket-0.4.3.tgz
error: npm http GET https://registry.npmjs.org/express/-/express-2.5.11.tgz
error: npm http 200 https://registry.npmjs.org/underscore
error: npm http GET https://registry.npmjs.org/underscore/-/underscore-1.3.3.tgz
error: npm http 200 https://registry.npmjs.org/connect/1.8.6
error: npm http GET https://registry.npmjs.org/connect/-/connect-1.8.6.tgz
error: npm http 200 https://registry.npmjs.org/requirejs
error: npm http 200 https://registry.npmjs.org/ejs
error: npm http 200 https://registry.npmjs.org/request
error: npm http GET https://registry.npmjs.org/requirejs/-/requirejs-1.0.8.tgz
error: npm http GET https://registry.npmjs.org/ejs/-/ejs-0.7.2.tgz
error: npm http 200 https://registry.npmjs.org/less-middleware
error: npm http 200 https://registry.npmjs.org/less
error: npm http 200 https://registry.npmjs.org/mongoose
error: npm http GET https://registry.npmjs.org/request/-/request-2.9.203.tgz
error: npm http 200 https://registry.npmjs.org/uglify-js
error: npm http 200 https://registry.npmjs.org/mkdirp
error: npm http 200 https://registry.npmjs.org/knox/0.0.9
error: npm http 200 https://registry.npmjs.org/imagemagick
error: npm http GET https://registry.npmjs.org/less-middleware/-/less-middleware-0.1.5.tgz
error: npm http GET https://registry.npmjs.org/less/-/less-1.3.0.tgz
error: npm http GET https://registry.npmjs.org/mongoose/-/mongoose-2.5.14.tgz
error: npm http GET https://registry.npmjs.org/uglify-js/-/uglify-js-1.3.3.tgz
error: npm http GET https://registry.npmjs.org/mkdirp/-/mkdirp-0.3.3.tgz
error: npm http GET https://registry.npmjs.org/imagemagick/-/imagemagick-0.1.2.tgz
error: npm http 200 https://registry.npmjs.org/connect-mongodb/1.1.4
error: npm http 200 https://registry.npmjs.org/connect-auth/0.5.1
error: npm http GET https://registry.npmjs.org/knox/-/knox-0.0.9.tgz
error: npm http 200 https://registry.npmjs.org/express/-/express-2.5.11.tgz
error: npm http 200 https://registry.npmjs.org/faye-websocket/-/faye-websocket-0.4.3.tgz
error: npm http 200 https://registry.npmjs.org/underscore/-/underscore-1.3.3.tgz
error: npm http 200 https://registry.npmjs.org/connect/-/connect-1.8.6.tgz
error: npm http 200 https://registry.npmjs.org/requirejs/-/requirejs-1.0.8.tgz
error: npm http GET https://registry.npmjs.org/connect-mongodb/-/connect-mongodb-1.1.4.tgz
error: npm http GET https://registry.npmjs.org/connect-auth/-/connect-auth-0.5.1.tgz
error: npm http 200 https://registry.npmjs.org/request/-/request-2.9.203.tgz
error: npm http 200 https://registry.npmjs.org/ejs/-/ejs-0.7.2.tgz
error: npm http 200 https://registry.npmjs.org/less-middleware/-/less-middleware-0.1.5.tgz
error: npm http 200 https://registry.npmjs.org/uglify-js/-/uglify-js-1.3.3.tgz
error: npm http 200 https://registry.npmjs.org/mkdirp/-/mkdirp-0.3.3.tgz
error: npm http 200 https://registry.npmjs.org/mongoose/-/mongoose-2.5.14.tgz
error: npm http 200 https://registry.npmjs.org/less/-/less-1.3.0.tgz
error: npm http 200 https://registry.npmjs.org/imagemagick/-/imagemagick-0.1.2.tgz
error: npm http 200 https://registry.npmjs.org/connect-auth/-/connect-auth-0.5.1.tgz
error: npm http 200 https://registry.npmjs.org/knox/-/knox-0.0.9.tgz
error: npm http 200 https://registry.npmjs.org/connect-mongodb/-/connect-mongodb-1.1.4.tgz
error: FATAL ERROR: Evacuation Allocation failed - process out of memory
error:
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.